
VELO Production Issue - Change Request #22162

[CR][BE] Chinese Translation 

03 June 2025 10:53 AM - yap chekying

Status: Pending PROD Start date: 13 June 2025

Priority: Normal Due date:  

Assignee: yap chekying % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

Please find attached translation document and proceed for implementation.

Note: Still pending translation for MESSAGE_PROPERTIES_I18N table.

Subtasks:

Bug # 22192: [Chinese Language CR][SIT][Android][Transaction Summary] The TT and Pendin... Closed

Bug # 22193: [Chinese Language CR][SIT][Android][Pending Authorization] The Pending Aut... Closed

History

#1 - 05 June 2025 05:31 PM - yap chekying

- File ERROR PROPERTIES MLEB 1 +CHN.xlsx added

Attached Chinese translation document for Error Properties

#2 - 06 June 2025 03:04 PM - yap chekying

- File OCBC Velocity Chinese Language FSD.docx added

#3 - 11 June 2025 10:52 AM - SP LENG

- Assignee changed from SP LENG to Tan Hi Ann

#4 - 16 June 2025 09:26 PM - SP LENG

- File 1- UAT Deployment Form -Redmine#22174#22162 v1.0.pdf added

- Status changed from New to Pending SIT 

- Assignee changed from Tan Hi Ann to yap chekying

Added scripts to support a new chinese translation language and enhanced the code.

#5 - 16 June 2025 11:13 PM - SP LENG

- File deleted (1- UAT Deployment Form -Redmine#22174#22162 v1.0.pdf)

#6 - 16 June 2025 11:13 PM - SP LENG

- File 1- UAT Deployment Form -Redmine#22174#22162 v1.0.pdf added

#7 - 16 June 2025 11:24 PM - SP LENG

- File deleted (1- UAT Deployment Form -Redmine#22174#22162 v1.0.pdf)

#8 - 16 June 2025 11:24 PM - SP LENG

- File 1- UAT Deployment Form -Redmine#22174#22162 v1.0.pdf added

#9 - 03 July 2025 04:36 PM - yap chekying
Due to Chinese language is not ready at Omni side, OCBC requested data returned from both MLEB and Omni will show in English. Therefore, only

data localize in Frontend will show in Chinese language.

#10 - 03 July 2025 04:39 PM - yap chekying

- File RE Velocity Mobile Chinese Language Obsolete Linux and Update Splash Screen Information CRs - for UAT.msg added

- Status changed from Pending SIT  to Pending PROD

Files

GENERAL CODE MLEB 1 + CHN.xlsx 12.3 KB 03 June 2025 yap chekying

ERROR PROPERTIES MLEB 1 +CHN.xlsx 145 KB 05 June 2025 yap chekying

OCBC Velocity Chinese Language FSD.docx 213 KB 06 June 2025 yap chekying

1- UAT Deployment Form -Redmine#22174#22162 v1.0.pdf 287 KB 16 June 2025 SP LENG

RE Velocity Mobile Chinese Language Obsolete Linux and Update Splash Screen Information CRs - for UAT.msg304 KB 03 July 2025 yap chekying
